%define pypi_name ecdsa

Name:           python-ecdsa
Version:        0.13
Release:        2
Group:          Development/Python
Summary:        ECDSA cryptographic signature library (pure python)

License:        MIT
URL:            http://github.com/warner/python-ecdsa
Source0:        https://pypi.python.org/packages/source/e/ecdsa/ecdsa-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python3-devel


%description
This is an easy-to-use implementation of ECDSA cryptography
(Elliptic Curve Digital Signature Algorithm), implemented purely in Python,
released under the MIT license. With this library, you can quickly create
keypairs (signing key and verifying key), sign messages, and verify the
signatures. The keys and signatures are very short, making them easy to
handle and incorporate into other protocols.

%package -n     python3-%{pypi_name}
Summary:        ECDSA cryptographic signature library (pure python)
Group:          Development/Python


%description -n python3-%{pypi_name}
This is an easy-to-use implementation of ECDSA cryptography
(Elliptic Curve Digital Signature Algorithm), implemented purely in Python,
released under the MIT license. With this library, you can quickly create
keypairs (signing key and verifying key), sign messages, and verify the
signatures. The keys and signatures are very short, making them easy to
handle and incorporate into other protocols.

%prep
%setup -qc
mv %{pypi_name}-%{version} python2
cp -a python2 python3

%build
pushd python2
python setup.py build
popd
pushd python3
python3 setup.py build
popd

%install
pushd python3
python3 setup.py install --skip-build --root %{buildroot}
popd
pushd python2
python setup.py install --skip-build --root %{buildroot}
popd

%files
%doc python2/README.md python2/LICENSE
%{py_puresitedir}/%{pypi_name}*

%files -n python3-%{pypi_name}
%doc python3/README.md python3/LICENSE
%{py3_puresitedir}/%{pypi_name}*

%changelog

* Sun Jan 31 2016 Denis Silakov <dsilakov@gmail.com> 0.13-2
- (82228c1) Move to main


